function isNumberKey(evt) {
    var charCode = (evt.which) ? evt.which : event.keyCode
    if (charCode > 31
    && (charCode < 48 || charCode > 57))
        return false;
    return true;
}
function fnValidateDecimal(textbox, lengthOfIntegral, lengthOfMantisa) {
    var str = textbox.value;
    if (str.length == 0) {
        return true;
    }
    var integerRegExp = /^\d*[0-9]$/;
    str = textbox.value;
    if (str.length == 0) {
        return true;
    }
    var newStr = "";
    var parts = str.split('.');
    if (parts.length >= 2) {
        if ((parts[0].length > 0) && (integerRegExp.test(parts[0]) != true)) {
            textbox.value = "";
            return true;
        }
        if ((parts[1].length > 0) && (integerRegExp.test(parts[1]) != true)) {
            textbox.value = "";
            return true;
        }
        if (parts[0].length > lengthOfIntegral) {
            newStr = parts[0].substring(0, lengthOfIntegral);
        }
        else { newStr = parts[0]; }
        if (parts[1].length > lengthOfMantisa) {
            newStr = newStr + '.' + parts[1].substring(0, lengthOfMantisa);
        }
        else { newStr = newStr + '.' + parts[1]; }
    }
    else {
        if ((parts[0].length > 0) && (integerRegExp.test(parts[0]) != true)) {
            textbox.value = "";
            return true;
        }
        if (str.indexOf('.') >= 0) {
            if (str.length > lengthOfMantisa + 1) {
                newStr = str.substring(0, lengthOfMantisa + 1);
            }
            else { newStr = str; }
        }
        else {
            if (str.length > lengthOfIntegral) {
                newStr = str.substring(0, lengthOfIntegral);
            }
            else { newStr = str; }
        }
    }
    if (newStr.length > 0) {
        str = newStr;
    }
    textbox.value = str;
}
function isNumber(evt) {
    evt = (evt) ? evt : window.event;
    var charCode = (evt.which) ? evt.which : evt.keyCode;
    if (charCode > 31 && (charCode < 48 || charCode > 57)) {
        return false;
    }
    return true;
}
function validateEmail(emailField) {
    var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;

    if (reg.test(emailField.value) == false) {
        emailField.value = "";
        alert('Invalid Email Address');
        return false;
    }

    return true;

}
function MaskDecimal(evt, lengthOfIntegral, lengthOfMantisa) {
    var unicode = evt.charCode ? evt.charCode : evt.keyCode;
    if (unicode < 8 || unicode > 9) {
        if (!(unicode == 46 || (unicode >= 48 && unicode <= 57))) return false;
        var parts = evt.srcElement.value.split('.');
        if (parts.length > 2) return false;
        if (unicode == 46) return (parts.length == 1);
        if (evt.srcElement.value.length >= (lengthOfIntegral + lengthOfMantisa + 1)) return false;
        if (parts[0].length == lengthOfIntegral && parts.length == 1) return false;
    }
}